We're Hiring!

Mattermost Discussion Forums

Upgrading from 5.25.0 to Current (6.0.0)

Hello!

I am hoping for some clarity in regards to upgrading my Mattermost server.

I am currently on version 5.25.0 and i would like to upgrade to the current version, 6.0.0

I read the Upgrade documentation and the Extended Support Release and I have a question.

I guess my question is, do I need to stair-step upgrade the extended support releases?
Like do I need to upgrade to 5.25.0 to 5.25.7 and then from 5.25.7 to 5.31.0 and then 5.31.0 to 5.31.9, etc.
Or can I go from 5.25.0 right to 5.37.6 and then upgrade to 6.0.1?

Thank you for any insight, I am kind of a novice at this thing and all advice is appreciated.

It should be fine to go from 5.25.0 to the latest Extended Support Release (5.37.6), and then upgrade to 6.0.1. See this section in the docs for more details, and please also review the Important Upgrade Notes for all intermediate release versions in between to ensure you’re aware of the possible migrations that could affect your upgrade.

1 Like

Perfect!
Thank you for your response! It is super helpful!

1 Like